> ## Documentation Index
> Fetch the complete documentation index at: https://docs.cybedefend.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get overview of a project



## OpenAPI

````yaml get /project/{projectId}/results/overview
openapi: 3.0.0
info:
  title: Cybedefend API
  description: >-
    CybeDefend is an advanced API for application security analysis. Key
    features include OAuth 2.0 authentication, user/organization/project
    management, and REBAC-based permissions. It excels in static, dynamic, and
    IaC security analyses (SAST, DAST, IaC, etc.).
  version: '1.0'
  contact: {}
servers:
  - url: https://api-eu.cybedefend.com
    description: EU
  - url: https://api-us.cybedefend.com
    description: US
security: []
tags: []
paths:
  /project/{projectId}/results/overview:
    get:
      tags:
        - Results & Vulnerabilities
      summary: Get overview of a project
      operationId: ResultController_getProjectOverview
      parameters:
        - name: projectId
          required: true
          in: path
          schema:
            format: uuid
            type: string
        - name: branches
          required: false
          in: query
          description: >-
            Filter vulnerabilities by branch names. Only vulnerabilities from
            these branches will be counted. Use GET /project/:projectId/branches
            to get available branches. Can be passed as comma-separated string
            or multiple query params.
          schema:
            example:
              - main
              - develop
            type: array
            items:
              type: array
      responses:
        '200':
          description: Project overview
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/GetProjectOverviewResponseDto'
        '400':
          description: Bad Request
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorDto'
        '401':
          description: Unauthorized
          content:
            application/json:
              schema:
                example:
                  message: Unauthorized
                  statusCode: 401
                  timestamp: '2025-02-18T12:31:18.491Z'
                  path: /example/path
        '403':
          description: Forbidden
          content:
            application/json:
              schema:
                example:
                  message: Forbidden
                  statusCode: 403
                  timestamp: '2025-02-18T12:31:18.491Z'
                  path: /example/path
components:
  schemas:
    GetProjectOverviewResponseDto:
      type: object
      properties:
        totalBySeverity:
          type: array
          items:
            $ref: '#/components/schemas/TotalBySeverityDto'
        totalByState:
          type: array
          items:
            $ref: '#/components/schemas/TotalByStateDto'
        totalByAnalysisType:
          type: array
          items:
            $ref: '#/components/schemas/TotalByAnalysisTypeDto'
        vulnerabilitiesOverTime:
          type: array
          items:
            $ref: '#/components/schemas/VulnerabilitiesOverTimeDto'
        riskScore:
          type: number
          description: The risk score of the project
        riskLevel:
          type: string
          description: The risk level of the project
      required:
        - totalBySeverity
        - totalByState
        - totalByAnalysisType
        - vulnerabilitiesOverTime
        - riskScore
        - riskLevel
    ErrorDto:
      type: object
      properties:
        timestamp:
          type: string
          example: '2025-02-18T12:31:18.491Z'
          description: Timestamp of the error
        service:
          type: string
          example: AiService
          description: Name of the service where the error occurred
        method:
          type: string
          example: startConversation
          description: Method name where the error occurred
        message:
          type: string
          example: Invalid parameters provided
          description: Error message
        code:
          type: number
          example: 400
          description: HTTP status code
          minimum: 100
          maximum: 599
      required:
        - timestamp
        - service
        - method
        - message
        - code
    TotalBySeverityDto:
      type: object
      properties:
        severity:
          type: string
          description: Severity level
        count:
          type: number
          description: Number of vulnerabilities for the given severity
      required:
        - severity
        - count
    TotalByStateDto:
      type: object
      properties:
        state:
          type: string
          description: State of the vulnerability
        count:
          type: number
          description: Number of vulnerabilities for the given state
      required:
        - state
        - count
    TotalByAnalysisTypeDto:
      type: object
      properties:
        analysisType:
          type: string
          description: Type of analysis (SAST, IAC, SCA, etc.)
        count:
          type: number
          description: Number of vulnerabilities for the given analysis type
      required:
        - analysisType
        - count
    VulnerabilitiesOverTimeDto:
      type: object
      properties:
        date:
          type: string
          description: Date of the aggregation
        severity:
          type: number
          description: Number of vulnerabilities for the given date
        count:
          type: number
          description: Number of vulnerabilities for the given date
      required:
        - date
        - severity
        - count

````